<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/15/2008 *
 * ===================                          Last change: 10/15/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : beg_functions.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Beg link functions                               *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer den Bettel-Link                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Add points to user or begging rallye account
function addPointsBeg ($userid, $points) {
	// Is begging rallye active?
	if (isBegRallyeEnabled()) {
		// Add points to rallye account
		SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_user_data` SET `beg_points`=`beg_points`+%s WHERE `userid`=%s LIMIT 1",
			array($points, $userid), __FUNCTION__, __LINE__);
	} else {
		// Add points to account
		// @TODO Try to rewrite the following unset()
		unset($GLOBALS['ref_level']);
		addPointsThroughReferalSystem('beg', $userid, $points, false, 0, strtolower(getConfig('beg_mode')));
	}

	// Subtract begged points from member account if the admin has selected one
	if (getConfig('beg_userid') > 0) {
		// Subtract from this account
		subtractPoints('beg_payout', getConfig('beg_userid'), $points);
	} // END - if
}

// Checks wether beg_rallye is enabled
function isBegRallyeEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = ((isExtensionInstalledAndNewer('beg', '0.2.8')) && (getConfig('beg_rallye') == 'Y'));
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// Checks wether beg_rallye is enabled
function isBegNewMemberNotifyEnabled () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Determine it
		$GLOBALS[__FUNCTION__] = ((isExtensionInstalledAndNewer('beg', '0.2.7')) && (getConfig('beg_new_member_notify') == 'Y'));
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// "Getter" for beg_userid
function getBegUserid () {
	// Do we have cache?
	if (!isset($GLOBALS[__FUNCTION__])) {
		// Get it
		$GLOBALS[__FUNCTION__] = getConfig('beg_userid');
	} // END - if

	// Return cache
	return $GLOBALS[__FUNCTION__];
}

// [EOF]
?>
