<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/24/2005 *
 * ===================                          Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-lock_sponsor.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Edit sponsor account                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sponsorenaccount aendern                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addMenuDescription('admin', __FILE__);
$message = '';

if (isGetRequestParameterSet('id')) {
	// Check for selected sponsor
	$result_sponsor = SQL_QUERY_ESC("SELECT `gender`, `surname`, `family`, `email`, `status` FROM `{?_MYSQL_PREFIX?}_sponsor_data` WHERE `id`=%s LIMIT 1",
		array(bigintval(getRequestParameter('id'))), __FILE__, __LINE__);
	if (SQL_NUMROWS($result_sponsor) == 1) {
		// Get sponsor's current status and let only confirmed and locked status pass
		$content = SQL_FETCHARRAY($result_sponsor);

		if (($content['status'] == 'CONFIRMED') || ($content['status'] == 'LOCKED')) {
			// Transfer data to constants
			$content['id']     = bigintval(getRequestParameter('id'));
			$content['reason'] = secureString(postRequestParameter('reason'));

			if (isFormSent()) {
				// Create messages
				if ($content['status'] == 'CONFIRMED') {
					// Message when sponsor's account got lock
					$content['message'] = '{--SPONSOR_ACCOUNT_LOCKED--}';
					$subject = '{--SPONSOR_LOCKED_SUBJECT--}';
					$content['status'] = 'LOCKED';
				} else {
					// Message when sponsor's account got unlock
					$content['message'] = '{--SPONSOR_ACCOUNT_UNLOCKED--}';
					$subject = '{--SPONSOR_UNLOCKED_SUBJECT--}';
					$content['status'] = 'CONFIRMED';
				}

				// Load email message
				$message = loadEmailTemplate('lock_sponsor', $content, bigintval(getRequestParameter('id')));

				// And send it away
				sendEmail($content['email'], $subject, $message);

				// Update sponsor's account
				SQL_QUERY_ESC("UPDATE `{?_MYSQL_PREFIX?}_sponsor_data` SET `status`='%s' WHERE `id`=%s LIMIT 1",
					array($content['status'], bigintval(getRequestParameter('id'))), __FILE__, __LINE__);
			} elseif (isPostRequestParameterSet('no')) {
				// No don't lock / unlock now!
				redirectToUrl('modules.php?module=admin&amp;what=list_sponsor&amp;id=' . bigintval(getRequestParameter('id')));
			} else {
				// Create header and text messages
				if ($content['status'] == 'CONFIRMED') {
					// Messages when sponsor's account is confirmed
					$content['header_message'] = '{--SPONSOR_LOCK_SPONSOR_HEADER--}';
					$content['text_message']   = '{--SPONSOR_LOCK_SPONSOR_TEXT--}';
				} else {
					// Messages when sponsor's account is locked
					$content['header_message'] = '{--SPONSOR_UNLOCK_SPONSOR_HEADER--}';
					$content['text_message']   = '{--SPONSOR_UNLOCK_SPONSOR_TEXT--}';
				}

				// Create email link
				$content['email_link'] = '<a href="' . generateEmailLink($content['email'], 'sponsor_data') . '">' . $content['gender'] . ' ' . $content['surname'] . ' ' . $content['family'] . '</a>';

				// Display form
				loadTemplate('admin_lock_sponsor', false, $content);
			}
		} else {
			// Cannot change status on unconfirmed or pending accounts!
			$message = '{--ADMIN_SPONSOR_CANNOT_LOCK_PENDING_UNCINFIRMED_ACCOUNTS--}';
		}
	} else {
		// Sponsor not found!
		$message = getMaskedMessage('ADMIN_SPONSOR_404', bigintval(getRequestParameter('id')));
	}

	// Free result
	SQL_FREERESULT($result_sponsor);
} else {
	// Not called by what-list_sponsor.php
	$message = '{--ADMIN_CALL_NOT_DIRECTLY--}';
}

if (!empty($message)) {
	// Output message
	loadTemplate('admin_settings_saved', false, $message);
} // END - if

// [EOF]
?>
